Waiting for engine...
Skip to main content

Boomi API Control Plane REST API - RunningJobs

Toggle Pane

Download OpenAPI Specification: Download

Run In Postman

For more information about Postman collections, forking, and making your first API call, refer to the Working with Boomi APIs on Postman page.

Running Jobs

Background job status tracking.

Get and consume running job by entity

Get the runningJob for a given entity/job type combination, or null if none exists. Read-once: the RunningJob row is deleted as part of this call, so it never lingers beyond the single lookup it exists for. Useful for flows (like async delete) where the job id isn't returned directly to the caller and the entity itself no longer exists to have a RunningJob replace it on a future sync.

Authorizations:
bearerAuth
query Parameters
entityId
required
string <uuid>
entityType
required
string
Enum: "API" "API_SPEC" "API_PRODUCT"
jobType
required
string
Enum: "BUILD_IN_INTEGRATION" "API_SPEC_LINT" "MCP_REGISTRY_SYNC"

Responses

Response Schema: application/json
jobType
required
string
Enum: "BUILD_IN_INTEGRATION" "API_SPEC_LINT" "MCP_REGISTRY_SYNC"

Type of operation this job performs.

name
required
string

Human-readable name of the job.

status
required
string
Enum: "IN_PROGRESS" "COMPLETE" "ERROR"

Current execution status of the job.

entityId
string <uuid>

UUID of the entity this job is operating on.

entityType
string
Enum: "API" "API_SPEC" "API_PRODUCT"

Type of entity this job is operating on.

createdAt
string <date-time>

Timestamp when the job was created.

updatedAt
string <date-time>

Timestamp of the last status update.

payload
string

Serialized job payload data.

processId
string

External process identifier, if applicable.

statusMessage
string

Latest status message from the job.

id
string <uuid>

UUID of the job.

Response samples

Content type
application/json
{
  • "name": "string",
  • "jobType": "BUILD_IN_INTEGRATION",
  • "status": "IN_PROGRESS",
  • "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  • "entityType": "API",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z",
  • "payload": "string",
  • "processId": "string",
  • "statusMessage": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

Get running job

Get information about a single runningJob in the database.

Authorizations:
bearerAuth
path Parameters
id
required
string <uuid>

This should be the uuid for the entity in question - but for backwards compatibility, this will also accept the old integer id.

Responses

Response Schema: application/json
jobType
required
string
Enum: "BUILD_IN_INTEGRATION" "API_SPEC_LINT" "MCP_REGISTRY_SYNC"

Type of operation this job performs.

name
required
string

Human-readable name of the job.

status
required
string
Enum: "IN_PROGRESS" "COMPLETE" "ERROR"

Current execution status of the job.

entityId
string <uuid>

UUID of the entity this job is operating on.

entityType
string
Enum: "API" "API_SPEC" "API_PRODUCT"

Type of entity this job is operating on.

createdAt
string <date-time>

Timestamp when the job was created.

updatedAt
string <date-time>

Timestamp of the last status update.

payload
string

Serialized job payload data.

processId
string

External process identifier, if applicable.

statusMessage
string

Latest status message from the job.

id
string <uuid>

UUID of the job.

Response samples

Content type
application/json
{
  • "name": "string",
  • "jobType": "BUILD_IN_INTEGRATION",
  • "status": "IN_PROGRESS",
  • "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  • "entityType": "API",
  • "createdAt": "2019-08-24T14:15:22Z",
  • "updatedAt": "2019-08-24T14:15:22Z",
  • "payload": "string",
  • "processId": "string",
  • "statusMessage": "string",
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}